Delete Ghg Entry
curl --request DELETE \
--url https://api.sandbox.isometric.com/mrv/v0/ghg_entries/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-client-secret: <x-client-secret>'import requests
url = "https://api.sandbox.isometric.com/mrv/v0/ghg_entries/{id}"
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};
fetch('https://api.sandbox.isometric.com/mrv/v0/ghg_entries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}API Reference
Delete Ghg Entry
This endpoint deletes a GHG entry - this is irreversible and the entry cannot be recovered.
It will return an error if the GHG entry is not in DRAFT status.
DELETE
/
ghg_entries
/
{id}
Delete Ghg Entry
Authorizations
A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>
Headers
A secret token identifying the client connecting to the API
Example:
"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"
Path Parameters
Required string length:
20 - 37Examples:
"rmv_1EEM6NJXX1S0EXKD"
"rmv_1E3V4J2EWSBX5E82"
Response
Successful Response
Was this page helpful?
⌘I